
Synnefo - Bug # 283

Status: Closed Priority: Medium

Author: Vangelis Koukis Category: old_synnefo

Created: 03/12/2011 Assignee: Christos Psaltis

Updated: 02/08/2013 Due date:

Subject: Προβλήματα με partial refresh στο GUI

Description

Το partial refresh λειτουργεί γενικά καλά στο GUI αλλά υπάρχουν τα εξής προβλήματα:

α) δεν βγαίνουν οι λεπτές γκρι διαχωριστικές γραμμές ανάμεσα στα μηχανήματα στο standard view όταν αυτά μετακινούνται από

stopped σε started, ίσως και σε άλλες περιπτώσεις. Το σύμπτωμα είναι ότι μετά από αρκετά start/stop έχουν χαθεί οι διαχωριστικές

γραμμές.

β) αλλάζει η θέση των μηχανημάτων: τα μηχανήματα πρέπει να μείνουν στην ίδια θέση, εκτός αν αλλάξουν από σταματημένα σε

εκκινημένα ή αντίστροφα. Όταν ένα μηχάνημα είναι started, το να το κάνω reboot δεν πρέπει να αλλάζει τη θέση του στη λίστα. Ίσως

είναι καλύτερα τα μηχανήματα να είναι ταξινομημένα με βάση το serverId σε φθίνουσα ή αύξουσα σειρά, ώστε να μην αλλάζουν θέση

ενώ γίνονται πράγματα πάνω τους [εκτός αν πάνε από ACTIVE σε STOPPED, οπότε πάνε από κάτω]. Το ίδιο και για το list view, εκεί

πρέπει να είναι σε αυστηρή σειρά, ταξινομημένα κατά serverId, φθίνουσα ή αύξουσα.

Related issues:

related to Synnefo - Feature # 151: περιοδικό refresh της λίστας Closed 01/19/2011

related to Synnefo - Feature # 293: Partial refresh στο GUI Closed 03/16/2011 04/01/2011

related to Synnefo - Bug # 309: Το GUI κολλάει όταν κάνει refresh Closed 03/22/2011 04/04/2011

History

#1 - 03/15/2011 12:02 am - Vangelis Koukis

επιπλέον θέμα που φαίνεται να έχει ο κώδικας: [καταλαβαίνω ότι τώρα είναι υπό κατασκευή το partial refresh στο list view, αλλά καλό είναι να

ξέρουμε τι υπάρχει και πρέπει να διορθωθεί]:

όταν ο χρήστης έχει γράψει κάτι στο search box, τα refresh που γίνονται από πίσω φαίνεται πως χαλάνε τη λίστα των μηχανημάτων. Όταν ο

χρήστης μετά από 20-30 sec σβήσει το κείμενο που έχει γράψει στο search box, οπότε περιμένει να δει όλα τα μηχανήματα όπως τα άφησε, βλέπει

ότι τα η λίστα έχει χαλάσει, και τα ίδια μηχανήματα επαναλαμβάνονται 2-3 φορές.

#2 - 03/15/2011 12:49 pm - Vangelis Koukis

Επίσης σχετικό με αυτό, άλλα δύο:

α) το partial refresh δεν φαίνεται να ανανεώνει σωστά τα εικονίδια όταν ανάβουν και σβήνουν [δεν τα αναβοσβήνει].

β) δεν βγαίνει η μπλε μπάρα στο κάτω κάτω μέρος, που οριοθετεί το άσπρο πλαίσιο, όπως γίνεται στο standard view.

#3 - 03/15/2011 01:10 pm - Vangelis Koukis

Και άλλο ένα σχετικό με αυτό:

Πρέπει περιοδικά να γίνεται ανανέωση της λίστας, προς το παρόν με πλήρη αίτηση.

Αργότερα, η απάντηση θα είναι differential, με χρήση της παραμέτρου ?Changes-since στο GET.

Η κλήση GET πρέπει να γίνεται περιοδικά, π.χ. κάθε 5sec, /αφού/ έχει επιστραφεί η προηγούμενη απάντηση.

04/26/2024 1/2



Όχι /κάθε/ 5 sec, αλλά 5sec /μετά/ από τη λήψη της προηγούμενης απάντησης.

Αυτό για να εξασφαλιστεί ότι δεν θα γίνει GET πριν από την ολοκλήρωση του προηγούμενου.

#4 - 03/15/2011 01:10 pm - Vangelis Koukis

- Status changed from New to Assigned

#5 - 03/23/2011 12:10 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Τα παραπάνω φαίνεται πως λειτουργούν σωστά [εμφανίζονται οι μπάρες, ανανεώνονται τα εικονίδια], οπότε το κλείνω κι ανοίγουμε νέο ticket για

τυχόν bug.

#6 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
